/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitempre.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workitempre.entity.WorkItemPre;
import com.jeeplus.modules.workitempre.dao.WorkItemPreDao;

/**
 * 项目预审Service
 * @author 丁旭
 * @version 2017-03-20
 */
@Service
@Transactional(readOnly = true)
public class WorkItemPreService extends CrudService<WorkItemPreDao, WorkItemPre> {

	public WorkItemPre get(String id) {
		return super.get(id);
	}
	
	public List<WorkItemPre> findList(WorkItemPre workItemPre) {
		return super.findList(workItemPre);
	}
	
	public Page<WorkItemPre> findPage(Page<WorkItemPre> page, WorkItemPre workItemPre) {
		return super.findPage(page, workItemPre);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkItemPre workItemPre) {
		super.save(workItemPre);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkItemPre workItemPre) {
		super.delete(workItemPre);
	}
	
	
	
	
}